'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _Mutants2 = require('./Mutants');

var _Mutants3 = _interopRequireDefault(_Mutants2);

var _AndroidRestore = require('./AndroidRestore');

var _AndroidRestore2 = _interopRequireDefault(_AndroidRestore);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /**
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * 在浏览器环境实现的具体预处理类 , 开发时使用.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * Created by tonyjiang on 16/3/17.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */


var MutantsForBrowser = function (_Mutants) {
    _inherits(MutantsForBrowser, _Mutants);

    function MutantsForBrowser() {
        _classCallCheck(this, MutantsForBrowser);

        return _possibleConstructorReturn(this, (MutantsForBrowser.__proto__ || Object.getPrototypeOf(MutantsForBrowser)).call(this));
    }

    _createClass(MutantsForBrowser, [{
        key: '_ready',
        value: function _ready() {

            //如果是安卓, 则需要查询restore状态及数据, 查询完成后, 在进行后续处理
            // if(this.env.os == this.env.constant.os.android){
            //     AndroidRestore.ready(this._readyCallback.bind(this));
            // }else{
            this._readyCallback();
            // }
        }
    }, {
        key: '_readyCallback',
        value: function _readyCallback() {
            this._isReady = true;
            this.emitter.emit(_Mutants3.default.EVENT_NAME.READY);
        }
    }, {
        key: 'isRestore',
        get: function get() {
            return _AndroidRestore2.default.isRestore;
        }
    }, {
        key: 'restorePluginData',
        get: function get() {
            return _AndroidRestore2.default.restorePluginData;
        }
    }]);

    return MutantsForBrowser;
}(_Mutants3.default);

exports.default = MutantsForBrowser;